| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
img_multifit.h File Reference

Header file for searching for a template in a map and returning multiple hits in a model. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Functions
Bimage * | img_multifit (Bimage *p, Bimage *ptemp, View *view, double alpha, double alpha_step, double hires, double lores, Bimage *pmask, double threshold)
| Searches a 2D/3D density map for a template. More...
double | img_multifit_for_view (Bimage *p, Bimage *ptemp, View view, double hires, double lores, Bimage *pmask, double threshold, Bimage *pfit)
| Searches a 2D/3D density map for a template using a specific view. More...

## Detailed Description

Header file for searching for a template in a map and returning multiple hits in a model.

Author
  Bernard Heymann

Date
  Created: 20021027
  Modified: 20121013

Definition in file img_multifit.h.

## Function Documentation

Bimage* img_multifit | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View * | view,
|  | double | alpha,
|  | double | alpha_step,
|  | double | hires,
|  | double | lores,
|  | Bimage * | pmask,
|  | double | threshold
| ) |  |

Searches a 2D/3D density map for a template.

Parameters

  *p | the image.
  *ptemp | the template to be searched for.
  *view | views.
  alpha | rotation around view vector, <0 = use 2*PI (radians).
  alpha_step | angular step size around view vector (radians).
  hires | high resolution limit.
  lores | low resolution limit.
  *pmask | mask for cross-correlation (ignored if NULL).
  threshold | threshold value, if 0, threshold = FOMmax/2.

Returns
  Bimage* image with the best view at each voxel and FOM block.

      The template is rotated and cross-correlated to find the best fit.
      The views must be calculated externally to allow for custom sets.

Definition at line 35 of file img_multifit.cpp.

double img_multifit_for_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View | view,
|  | double | hires,
|  | double | lores,
|  | Bimage * | pmask,
|  | double | threshold,
|  | Bimage * | pfit
| ) |  |

Searches a 2D/3D density map for a template using a specific view.

Parameters

  *p | the image.
  *ptemp | the template to be searched for.
  view | view.
  hires | high resolution limit.
  lores | low resolution limit.
  *pmask | mask for cross-correlation (ignored if NULL).
  threshold | threshold value, if 0, threshold = FOMmax/2.
  *pfit | view image with FOM block to hold results.

Returns
  double maximum FOM.

      The template is rotated to the view and cross-correlated.
      A view image is updated with the results where the correlation coefficients are higher.
      The views must be calculated externally to allow for custom sets.

Definition at line 140 of file img_multifit.cpp.